Bug 508758 - rpmbuild -qa fails to build Xorg server SRPM
rpmbuild -qa fails to build Xorg server SRPM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 14:01 EDT by Ben Greear
Modified: 2010-05-31 03:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.5.3-18.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 10:26:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Greear 2009-06-29 14:01:21 EDT
Description of problem:

rpmbuild for xorg-server fails because the same file is passed to
install twice.

make[5]: Entering directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[6]: Entering directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[6]: Nothing to be done for `install-exec-am'.
test -z "/usr/include/xorg" || /bin/mkdir -p "/home/lanforge/src/rpm/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.x86_64/usr/include/xorg"
 /usr/bin/install -c -m 644 compiler.h fourcc.h xf86.h xf86Module.h xf86Opt.h xf86PciInfo.h xf86Priv.h xf86Privstr.h xf86Resources.h xf86cmap.h xf86fbman.h xf86str.h xf86Xinput.h xisb.h xf86xv.h xf86xvmc.h atKeynames.h xf86Version.h xorgVersion.h xf86sbusBus.h xf86xv.h xf86xvmc.h xf86xvpriv.h '/home/lanforge/src/rpm/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.x86_64/usr/include/xorg'
/usr/bin/install: will not overwrite just-created `/home/lanforge/src/rpm/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.x86_64/usr/include/xorg/xf86xv.h' with `xf86xv.h'
/usr/bin/install: will not overwrite just-created `/home/lanforge/src/rpm/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.x86_64/usr/include/xorg/xf86xvmc.h' with `xf86xvmc.h'
make[6]: *** [install-sdkHEADERS] Error 1
make[6]: Leaving directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[5]: *** [install-am] Error 2
make[5]: Leaving directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[4]: *** [install] Error 2
make[4]: Leaving directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[3]: *** [install-recursive] Error 1
make[3]: Leaving directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw/xfree86'
make[2]: *** [install] Error 2
make[2]: Leaving directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw/xfree86'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/home/lanforge/src/rpm/BUILD/xorg-server-1.5.3/hw'
make: *** [install-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.3BxqHx (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.3BxqHx (%install)


Version-Release number of selected component (if applicable):

Fedora 10, 64-bit, xorg-x11-server-1.5.3-17.fc10.src.rpm


How reproducible:

Every time.


Steps to Reproduce:
1. rpm -ivh org-x11-server-1.5.3-17.fc10.src.rpm
2. cd to proper directory
3. rpmbuild -ba SPECS/xorg-x11-server.spec 
  
Actual results:

See description, build fails.

Expected results:

Build should work.


Additional info:

Using the /usr/bin/install from Fedora 8 doesn't help, but rpmbuild works
there, so I assume it is an issue with xorg RPM, not core-utils.
Comment 1 Ben Greear 2009-06-29 14:22:41 EDT
This same problem appears on Fedora 11, x86-64 as well.

This is quite annoying when combined with bug 508734!
Comment 2 Massimiliano 2009-06-30 17:37:39 EDT
Similar problem when I try to rebuild xorg-x11-server-1.5.3-17.fc10.src.rpm on a Fedora 10 (i386) with mock for the i686 platform.
Here the build.log:

......
Making install in common
make[4]: Entering directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make  install-am
make[5]: Entering directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[6]: Entering directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[6]: Nothing to be done for `install-exec-am'.
test -z "/usr/include/xorg" || /bin/mkdir -p "/builddir/build/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.i386/usr/include/xorg"
 /usr/bin/install -c -m 644 compiler.h fourcc.h xf86.h xf86Module.h xf86Opt.h xf86PciInfo.h xf86Priv.h xf86Privstr.h xf86Resources.h xf86cmap.h xf86fbman.h xf86str.h xf86Xinput.h xisb.h xf86xv.h xf86xvmc.h atKeynames.h xf86Version.h xorgVersion.h xf86sbusBus.h xf86xv.h xf86xvmc.h xf86xvpriv.h '/builddir/build/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.i386/usr/include/xorg'
/usr/bin/install: will not overwrite just-created `/builddir/build/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.i386/usr/include/xorg/xf86xv.h' with `xf86xv.h'
/usr/bin/install: will not overwrite just-created `/builddir/build/BUILDROOT/xorg-x11-server-1.5.3-17.fc10.i386/usr/include/xorg/xf86xvmc.h' with `xf86xvmc.h'
make[6]: *** [install-sdkHEADERS] Error 1
make[6]: Leaving directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[5]: Leaving directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[4]: Leaving directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86/common'
make[5]: *** [install-am] Error 2
make[4]: *** [install] Error 2
make[3]: *** [install-recursive] Error 1
make[2]: *** [install] Error 2
make[3]: Leaving directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86'
make[2]: Leaving directory `/builddir/build/BUILD/xorg-server-1.5.3/hw/xfree86'
make[1]: Leaving directory `/builddir/build/BUILD/xorg-server-1.5.3/hw'
RPM build errors:
make[1]: *** [install-recursive] Error 1
make: *** [install-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.IGewkj (%install)
    Bad exit status from /var/tmp/rpm-tmp.IGewkj (%install)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/xorg-x11-server.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 324, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/xorg-x11-server.spec']
LEAVE do --> EXCEPTION RAISED
Comment 3 Bug Zapper 2009-11-18 07:07:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2009-11-23 17:41:38 EST
xorg-x11-server-1.5.3-18.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xorg-x11-server-1.5.3-18.fc10
Comment 5 Fedora Update System 2009-11-25 10:26:17 EST
xorg-x11-server-1.5.3-18.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 David Savinkoff 2010-05-30 23:09:24 EDT
This very same problem exists in RHEL 5.5 (CentOS 5.5).
The last compilable xorg-x11-server was
xorg-x11-server-1.1.1-48.41.el5_2.1.src.rpm

Please re-open this bug for enterprise linux.
Comment 7 David Savinkoff 2010-05-30 23:37:43 EDT
 /usr/bin/install -c -m 644 compiler.h fourcc.h xf86.h xf86Module.h xf86Opt.h xf86PciInfo.h xf86Priv.h xf86Privstr.h xf86Resources.h xf86cmap.h xf86fbman.h xf86str.h xf86Xinput.h xisb.h xf86xv.h xf86xvmc.h atKeynames.h xf86Version.h xorgVersion.h xf86sbusBus.h xf86xv.h xf86xvmc.h xf86xvpriv.h '/var/tmp/xorg-x11-server-1.1.1-48.76.el5.1-build-monkey/usr/include/xorg'

/usr/bin/install: will not overwrite just-created `/var/tmp/xorg-x11-server-1.1.1-48.76.el5.1-build-monkey/usr/include/xorg/xf86xv.h' with `xf86xv.h'

/usr/bin/install: will not overwrite just-created `/var/tmp/xorg-x11-server-1.1.1-48.76.el5.1-build-monkey/usr/include/xorg/xf86xvmc.h' with `xf86xvmc.h'

Solution:

Note that both xf86xv.h and xf86xvmc.h are listed TWICE in the install command.
Thus removing one of each will solve the problem. BTW how did CentOS and You guys
manage to compile xorg with these errors?
Comment 8 David Savinkoff 2010-05-31 03:53:40 EDT
I've successfully compiled xorg-x11-server-1.1.1-48.76.el5_5.1.src.rpm with the following patches on CentOS 5.5. Further information can be found at:
http://bugs.gentoo.org/show_bug.cgi?id=277691

Patch name:
xorg-x11-server-1.1.1-duplicate.patch

Which contains:
--- xorg-server-1.1.1/hw/xfree86/common/Makefile.am	2006-07-05 18:31:40.000000000 +0000
+++ xorg-server-1.1.1/hw/xfree86/common/Makefile.am	2010-05-31 05:01:12.000000000 +0000
@@ -54,7 +54,7 @@
               xf86PciInfo.h xf86Priv.h xf86Privstr.h xf86Resources.h \
               xf86cmap.h xf86fbman.h xf86str.h $(XISDKINCS) \
               $(XVSDKINCS) atKeynames.h xf86Version.h xorgVersion.h \
-              xf86sbusBus.h xf86xv.h xf86xvmc.h xf86xvpriv.h
+              xf86sbusBus.h xf86xvpriv.h
 
 DISTCLEANFILES = xf86Build.h
 CLEANFILES = $(BUILT_SOURCES)


And a patch for the rpm .spec file.
Which contains:
--- xorg-x11-server.spec	2010-05-31 07:03:56.000000000 +0000
+++ xorg-x11-server.spec	2010-05-31 07:05:20.000000000 +0000
@@ -10,7 +10,7 @@
 Summary:   X.Org X11 X server
 Name:      xorg-x11-server
 Version:   1.1.1
-Release:   48.76%{?dist}.1
+Release:   48.76%{?dist}.2
 URL:       http://www.x.org
 License:   MIT/X11
 Group:     User Interface/X
@@ -130,6 +130,7 @@
 Patch3015:  xorg-x11-server-1.1.1-mode-sort-kung-fu.patch
 Patch3016:  xorg-x11-server-1.1.1-pci-paranoia.patch
 Patch3017:  xorg-x11-server-1.1.1-believe-monitor-rb-modes.patch
+Patch3018:  xorg-x11-server-1.1.1-duplicate.patch
 # RHEL5 autoconfig additions
 Patch3500:  xorg-x11-server-1.1.1-maxpixclock-option.patch
 Patch3501:  xserver-1.1.1-vbe-panelid.patch
@@ -500,6 +501,7 @@
 %patch3015 -p1 -b .sort-modes
 %patch3016 -p1 -b .pci-paranoia
 %patch3017 -p1 -b .reduced-blanking
+%patch3018 -p1 -b .duplicate
 %patch3500 -p1 -b .maxpixclock
 %patch3501 -p1 -b .panelid
 %patch3502 -p1 -b .mode-bandwidth

Note You need to log in before you can comment on or make changes to this bug.